--------------------------------------------------------------------------------------------------------
--                                             AceAddon init                                          --
--------------------------------------------------------------------------------------------------------
Broker_TRON = LibStub("AceAddon-3.0"):NewAddon("Broker_TRON", "AceEvent-3.0")
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local L = LibStub("AceLocale-3.0"):GetLocale("Broker_TRON")
--local Crayon = LibStub:GetLibrary("LibCrayon-3.0")
--local AceConfig = LibStub("AceConfig-3.0")
--local AceConfigDialog = LibStub("AceConfigDialog-3.0")
--local AceDB = LibStub("AceDB-3.0")
--local AceDBOptions = LibStub("AceDBOptions-3.0")


--------------------------------------------------------------------------------------------------------
--                                        Broker_TRON core                                         --
--------------------------------------------------------------------------------------------------------
function Broker_TRON:OnInitialize()
end

-- LDB object
Broker_TRON.obj = ldb:NewDataObject("Broker_TRON", {
  type = "data source",
  label = "TR",
  text = "OFF",
  icon = "Interface\\Addons\\TRON\\images\\bit_default",
  OnClick = function(frame, msg)
    if msg == "RightButton" then
      Broker_TRON.obj.text = "CONFIG"
      InterfaceOptionsFrame_OpenToCategory(tblTRON.panel)
    elseif msg == "LeftButton" then
        Broker_TRON.obj.label = "GUI"

      if (0 == tblTRON:IsDisplayed()) then
        Broker_TRON.obj.text = "SHOW"        
      else
        Broker_TRON.obj.text = "HIDE"        
      end

      tblTRON:Toggle()
    end
  end,
  OnTooltipShow = function(tooltip)
    if not tooltip or not tooltip.AddLine then return end
    tooltip:AddLine("TRON V"..GetAddOnMetadata("TRON", "Version"))
    tooltip:AddLine(L["Left-hint"])
    tooltip:AddLine(L["Right-hint"])
  end,
})
